Driver fails on load since interface id is not filled

Bug #1234019 reported by Sarveshwar Bandi on 2013-10-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Emulex project
High
Jesse Sung
linux (Ubuntu)
Medium
Unassigned
Raring
Medium
Unassigned
Saucy
Medium
Unassigned

Bug Description

This change is needed in saucy and raring. The issue (driver fails on initialization) is seen only in Skyhawk controllers with firmware version greater than 10.0.639.0. The following net-next commit needs to be pulled in to resolve this issue.

commit 81b0265531b2ff091fb91c0af9bc9675f84e6f56
Author: Vasundhara Volam <email address hidden>
Date: Tue Oct 1 15:59:57 2013 +0530

    be2net: pass if_id for v1 and V2 versions of TX_CREATE cmd

    It is a required field for all TX_CREATE cmd versions > 0.
    Signed-off-by: Vasundhara Volam <email address hidden>
    Signed-off-by: Sathya Perla <email address hidden>
    Signed-off-by: David S. Miller <email address hidden>

Thanks,
Sarvesh

Changed in emulex:
status: New → Confirmed
Changed in emulex:
assignee: nobody → Yang Kun (YK) (dayangkuncn)
Changed in emulex:
importance: Undecided → High
assignee: Yang Kun (YK) (dayangkuncn) → Jesse Sung (wenchien)
Jesse Sung (wenchien) wrote :

Will wait for this patch hit mainline tree and then send it for SRU again.

This patch has been queued to stable tree. Please see mail below.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of David Miller
Sent: Saturday, October 19, 2013 2:03 AM
To: Sathya Perla
Cc: <email address hidden>
Subject: Re: [PATCH] be2net: pass if_id for v1 and V2 versions of TX_CREATE cmd

From: Sathya Perla <email address hidden>
Date: Thu, 17 Oct 2013 11:47:14 +0530

> From: Vasundhara Volam <email address hidden>
>
> It is a required field for all TX_CREATE cmd versions > 0.
> This fixes a driver initialization failure, caused by recent SH-R
> Firmwares (versions > 10.0.639.0) failing the TX_CREATE cmd when if_id
> field is not passed.
>
> Signed-off-by: Sathya Perla <email address hidden>
> ---
>
> Dave, pls consider queuing this patch for -stable tree as it fixes a
> driver load failure. Thanks.

Applied and queued up for -stable, thanks.
--

Andy Whitcroft (apw) wrote :

This fix has already hit mainline v3.12 and is now uploaded for Trusty.

Changed in linux (Ubuntu Raring):
status: New → Fix Committed
Changed in linux (Ubuntu Saucy):
status: New → Fix Committed
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Fix Released
importance: Undecided → Medium
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-raring' to 'verification-done-raring'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-raring
tags: added: verification-needed-saucy
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-saucy' to 'verification-done-saucy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-done-raring verification-done-saucy
removed: verification-needed-raring verification-needed-saucy
Launchpad Janitor (janitor) wrote :
Download full text (6.4 KiB)

This bug was fixed in the package linux - 3.8.0-34.49

---------------
linux (3.8.0-34.49) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1250558

  [ Anthony Wong ]

  * SAUCE: Work around broken ACPI backlight on Dell Inspiron 5537
    - LP: #1231305

  [ Upstream Kernel Changes ]

  * be2net: pass if_id for v1 and V2 versions of TX_CREATE cmd
    - LP: #1234019
  * random: run random_int_secret_init() run after all late_initcalls
    - LP: #1249058
  * tile: use a more conservative __my_cpu_offset in CONFIG_PREEMPT
    - LP: #1249058
  * ALSA: snd-usb-usx2y: remove bogus frame checks
    - LP: #1249058
  * drm/i915/hsw: Disable L3 caching of atomic memory operations.
    - LP: #1249058
  * drm/i915: Only apply DPMS to the encoder if enabled
    - LP: #1249058
  * ALSA: hda - hdmi: Fix channel map switch not taking effect
    - LP: #1249058
  * ALSA: hda - Add fixup for ASUS N56VZ
    - LP: #1249058
  * hwmon: (applesmc) Always read until end of data
    - LP: #1249058
  * drm/radeon: fix typo in CP DMA register headers
    - LP: #1249058
  * drm/radeon: fix hw contexts for SUMO2 asics
    - LP: #1249058
  * drm/radeon: forever loop on error in radeon_do_test_moves()
    - LP: #1249058
  * i2c: omap: Clear ARDY bit twice
    - LP: #1249058
  * KVM: PPC: Book3S HV: Fix typo in saving DSCR
    - LP: #1249058
  * random: allow architectures to optionally define random_get_entropy()
    - LP: #1249058
  * Btrfs: use right root when checking for hash collision
    - LP: #1249058
  * compiler-gcc4.h: Reorder macros based upon gcc ver
    - LP: #1249058
  * compiler-gcc.h: Add gcc-recommended GCC_VERSION macro
    - LP: #1249058
  * compiler/gcc4: Add quirk for 'asm goto' miscompilation bug
    - LP: #1249058
  * ALSA: hda - Fix microphone for Sony VAIO Pro 13 (Haswell model)
    - LP: #1227093, #1249058
  * ext4: fix memory leak in xattr
    - LP: #1249058
  * vfs: allow O_PATH file descriptors for fstatfs()
    - LP: #1249058
  * parisc: fix interruption handler to respect pagefault_disable()
    - LP: #1249058
  * xen-blkfront: use a different scatterlist for each request
    - LP: #1249058
  * can: flexcan: fix flexcan_chip_start() on imx6
    - LP: #1249058
  * can: flexcan: flexcan_chip_start: fix regression, mark one MB for TX
    and abort pending TX
    - LP: #1249058
  * caif: Add missing braces to multiline if in cfctrl_linkup_request
    - LP: #1249058
  * tcp: Add missing braces to do_tcp_setsockopt
    - LP: #1249058
  * ipv6/exthdrs: accept tlv which includes only padding
    - LP: #1249058
  * net: fib: fib6_add: fix potential NULL pointer dereference
    - LP: #1249058
  * net: sctp: fix smatch warning in sctp_send_asconf_del_ip
    - LP: #1249058
  * net: flow_dissector: fix thoff for IPPROTO_AH
    - LP: #1249058
  * net_sched: htb: fix a typo in htb_change_class()
    - LP: #1249058
  * r8169: enforce RX_MULTI_EN for the 8168f.
    - LP: #1249058
  * netpoll: fix NULL pointer dereference in netpoll_cleanup
    - LP: #1249058
  * net: sctp: fix ipv6 ipsec encryption bug in sctp_v6_xmit
    - LP: #1249058
  * xen-netback: count number required slots for an skb more carefully
    - LP: #1249058
  * resubmi...

Read more...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package linux - 3.11.0-14.21

---------------
linux (3.11.0-14.21) saucy; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1250540

  [ Anthony Wong ]

  * SAUCE: Work around broken ACPI backlight on Dell Inspiron 5537
    - LP: #1231305

  [ Colin Ian King ]

  * SAUCE: eCryptfs: fix 32 bit corruption issue
    - LP: #1243636

  [ Ming Lei ]

  * SAUCE: ext4: fix performance regression in ext4_writepages
    - LP: #1242812

  [ Upstream Kernel Changes ]

  * Revert "bridge: only expire the mdb entry when query is received"
    - LP: #1249081
  * ext4: fix performance regression in writeback of random writes
    - LP: #1242812
  * be2net: pass if_id for v1 and V2 versions of TX_CREATE cmd
    - LP: #1234019
  * tcp: TSO packets automatic sizing
    - LP: #1249081
  * tcp: TSQ can use a dynamic limit
    - LP: #1249081
  * tcp: must unclone packets before mangling them
    - LP: #1249081
  * tcp: do not forget FIN in tcp_shifted_skb()
    - LP: #1249081
  * tcp: fix incorrect ca_state in tail loss probe
    - LP: #1249081
  * net: do not call sock_put() on TIMEWAIT sockets
    - LP: #1249081
  * batman-adv: set up network coding packet handlers during module init
    - LP: #1249081
  * l2tp: fix kernel panic when using IPv4-mapped IPv6 addresses
    - LP: #1249081
  * l2tp: Fix build warning with ipv6 disabled.
    - LP: #1249081
  * net: mv643xx_eth: update statistics timer from timer context only
    - LP: #1249081
  * net: mv643xx_eth: fix orphaned statistics timer crash
    - LP: #1249081
  * net: heap overflow in __audit_sockaddr()
    - LP: #1249081
  * sit: amend "allow to use rtnl ops on fb tunnel"
    - LP: #1249081
  * proc connector: fix info leaks
    - LP: #1249081
  * ipv4: fix ineffective source address selection
    - LP: #1249081
  * can: dev: fix nlmsg size calculation in can_get_size()
    - LP: #1249081
  * net: secure_seq: Fix warning when CONFIG_IPV6 and CONFIG_INET are not
    selected
    - LP: #1249081
  * xen-netback: Don't destroy the netdev until the vif is shut down
    - LP: #1249081
  * net/mlx4_en: Rename name of mlx4_en_rx_alloc members
    - LP: #1249081
  * net/mlx4_en: Fix pages never dma unmapped on rx
    - LP: #1249081
  * net: vlan: fix nlmsg size calculation in vlan_get_size()
    - LP: #1249081
  * bridge: update mdb expiration timer upon reports.
    - LP: #1249081
  * vti: get rid of nf mark rule in prerouting
    - LP: #1249081
  * l2tp: must disable bh before calling l2tp_xmit_skb()
    - LP: #1249081
  * netem: update backlog after drop
    - LP: #1249081
  * netem: free skb's in tree on reset
    - LP: #1249081
  * farsync: fix info leak in ioctl
    - LP: #1249081
  * unix_diag: fix info leak
    - LP: #1249081
  * connector: use nlmsg_len() to check message length
    - LP: #1249081
  * bnx2x: record rx queue for LRO packets
    - LP: #1249081
  * virtio-net: don't respond to cpu hotplug notifier if we're not ready
    - LP: #1249081
  * virtio-net: refill only when device is up during setting queues
    - LP: #1249081
  * bridge: Correctly clamp MAX forward_delay when enabling STP
    - LP: #1249081
  * net: dst: provide accessor function to dst->xfrm
 ...

Read more...

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
Jesse Sung (wenchien) on 2013-12-23
Changed in emulex:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers